Bug 1309148 - [abrt] midori: JSC::JSCell::getPrimitiveNumber(): midori killed by SIGSEGV
[abrt] midori: JSC::JSCell::getPrimitiveNumber(): midori killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:80c6e2be2ee99fc384e3085ae41...
:
: 1351261 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 20:02 EST by Jason Scalia
Modified: 2016-12-20 13:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:46:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (96.08 KB, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: core_backtrace (66.73 KB, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: dso_list (18.35 KB, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: environ (1.46 KB, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: maps (229.25 KB, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: mountinfo (2.97 KB, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: open_fds (7.12 KB, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2016-02-16 20:02 EST, Jason Scalia
no flags Details
File: var_log_messages (250 bytes, text/plain)
2016-02-16 20:03 EST, Jason Scalia
no flags Details

  None (edit)
Description Jason Scalia 2016-02-16 20:02:44 EST
Description of problem:
While visiting http://www.tmz.com/, midori crashed. No links were clicked.

Version-Release number of selected component:
midori-0.5.11-1.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        /usr/bin/midori
crash_function: JSC::JSCell::getPrimitiveNumber
executable:     /usr/bin/midori
global_pid:     2367
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 JSC::JSCell::getPrimitiveNumber at Source/JavaScriptCore/runtime/JSCell.cpp:134
 #1 JSC::JSValue::getPrimitiveNumber at Source/JavaScriptCore/runtime/JSCJSValueInlines.h:599
 #2 JSC::jsLess<true> at Source/JavaScriptCore/runtime/Operations.h:136
 #3 JSC::operationCompareLess at Source/JavaScriptCore/jit/JITOperations.cpp:829
 #4 ??
Comment 1 Jason Scalia 2016-02-16 20:02:48 EST
Created attachment 1127770 [details]
File: backtrace
Comment 2 Jason Scalia 2016-02-16 20:02:49 EST
Created attachment 1127771 [details]
File: cgroup
Comment 3 Jason Scalia 2016-02-16 20:02:50 EST
Created attachment 1127772 [details]
File: core_backtrace
Comment 4 Jason Scalia 2016-02-16 20:02:51 EST
Created attachment 1127773 [details]
File: dso_list
Comment 5 Jason Scalia 2016-02-16 20:02:52 EST
Created attachment 1127774 [details]
File: environ
Comment 6 Jason Scalia 2016-02-16 20:02:53 EST
Created attachment 1127775 [details]
File: exploitable
Comment 7 Jason Scalia 2016-02-16 20:02:54 EST
Created attachment 1127776 [details]
File: limits
Comment 8 Jason Scalia 2016-02-16 20:02:55 EST
Created attachment 1127777 [details]
File: maps
Comment 9 Jason Scalia 2016-02-16 20:02:56 EST
Created attachment 1127778 [details]
File: mountinfo
Comment 10 Jason Scalia 2016-02-16 20:02:57 EST
Created attachment 1127779 [details]
File: namespaces
Comment 11 Jason Scalia 2016-02-16 20:02:58 EST
Created attachment 1127780 [details]
File: open_fds
Comment 12 Jason Scalia 2016-02-16 20:02:59 EST
Created attachment 1127781 [details]
File: proc_pid_status
Comment 13 Jason Scalia 2016-02-16 20:03:00 EST
Created attachment 1127782 [details]
File: var_log_messages
Comment 14 Айфф 2016-02-21 09:12:55 EST
Similar problem has been detected:

I opened the site http://2ip.ru/speed/. Midori was in private mode. The problem is repeated.

reporter:       libreport-2.6.4
backtrace_rating: 3
cmdline:        midori --private
crash_function: JSC::JSCell::getPrimitiveNumber
executable:     /usr/bin/midori
global_pid:     23238
kernel:         4.3.5-300.fc23.x86_64
package:        midori-0.5.11-1.fc23
reason:         midori killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Stanislav Nizhnichenko 2016-06-29 10:39:13 EDT
*** Bug 1351261 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2016-11-24 10:36:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 13:46:40 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.